Subject: bug#1298: allow 'emacsclient -a "emacs --daemon && emacsclient -c"'

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 11 Dec 2008 09:08:54 -0800 (PST)

Stefan Monnier <[email-masked]> writes:

  > > As you well know my taste is exactly not to add such #defines.  There's
  > > not such #define in the daemon implementation in src, the new macro in
  > > undocumented, and your move was just designed as a provocation.
  > 
  > Please, let's calm down.
  > 
  > I generally agree that it's better to use "#ifdef <FEATURE>" than
  > "#ifdef <PLATFORM>" (tho it always depends on the specifics), so to
  > a large extent I prefer Juanma's code in this case.  But in any case,
  > when it's a question of taste, the one who wrote the code (Juanma in
  > this case, even if it touched the code you wrote) gets to choose.
  > Only ever change someone else's code when it's uncontroversial, or only
  > after a discussion here concluded it's better to change it.  In this
  > case, it's clearly controversial.

I think you got it wrong here.  I wrote the code, Juanma just sprinkled
a few #ifdefs to simply disable it on windows, nothing else.  He knew
clearly well what my taste is.  Given that I get to fix bugs in the
code, I prefer for it to be done in the way I think it's right.